summaryrefslogtreecommitdiff
path: root/sbin/kbd/Makefile
diff options
context:
space:
mode:
authorMats O Jansson <maja@cvs.openbsd.org>2001-03-08 08:00:17 +0000
committerMats O Jansson <maja@cvs.openbsd.org>2001-03-08 08:00:17 +0000
commit9ec532bb7c07dd5376672340706cb45911c277c1 (patch)
tree029ff4eea49c53ef6a20538e4a8634e35ca1eb23 /sbin/kbd/Makefile
parent536f4f2c9f9dcd565101958ebdf142892f46ff42 (diff)
Add support for wscons. Support for PC, USB and ADB keyboards.
Enabled for i386 and powerpc. This makes it possible to list which encodings are known by the kernel. kbd_wscons.c needs struct wscons_keydesc from the newly commited <dev/wscons/wsksymvar.h>. -moj ok @aaron
Diffstat (limited to 'sbin/kbd/Makefile')
-rw-r--r--sbin/kbd/Makefile6
1 files changed, 5 insertions, 1 deletions
diff --git a/sbin/kbd/Makefile b/sbin/kbd/Makefile
index 5b68007abd2..eea269841ef 100644
--- a/sbin/kbd/Makefile
+++ b/sbin/kbd/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.8 2001/01/30 00:01:55 deraadt Exp $
+# $OpenBSD: Makefile,v 1.9 2001/03/08 08:00:16 maja Exp $
PROG= kbd
MAN= kbd.8
@@ -8,6 +8,10 @@ CFLAGS+=-I${.CURDIR}
.if (${MACHINE} == "arc")
SRCS+= kbd_i386.c
+.elif (${MACHINE} == "i386") || (${MACHINE} == "powerpc")
+SRCS+= kbd_wscons.c
+LDADD= -lkvm
+DPADD= ${LIBKVM}
.elif (${MACHINE} == "sparc")
SRCS+= kbd_sparc.c
.else